=== requirements.txt ===
future
cffi
typing; python_version < '3.5'
